//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "PushButtonCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

VWPushButtonCtrl::VWPushButtonCtrl(TControlID id)
: VWControl( id )
{
}

VWPushButtonCtrl::~VWPushButtonCtrl()
{
}

bool VWPushButtonCtrl::CreateControl(VWDialog* pDlg, const TXString& text)
{
	::GS_CreatePushButton( gCBP, pDlg->GetControlID(), fControlID, text );
	return VWControl::CreateControl( pDlg );
}
